---
lang: en
title: 'API docs: context.contextsubscriptionmanager.notifyobservers'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextsubscriptionmanager.notifyobservers.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextSubscriptionManager](./context.contextsubscriptionmanager.md) &gt; [notifyObservers](./context.contextsubscriptionmanager.notifyobservers.md)

## ContextSubscriptionManager.notifyObservers() method

Publish an event to the registered observers. Please note the notification is queued and performed asynchronously so that we allow fluent APIs such as `ctx.bind('key').to(...).tag(...);` and give observers the fully populated binding.

**Signature:**

```typescript
protected notifyObservers(event: ContextEvent, observers?: Set<ContextEventObserver> | undefined): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

event


</td><td>

[ContextEvent](./context.contextevent.md)


</td><td>

Context event


</td></tr>
<tr><td>

observers


</td><td>

Set&lt;[ContextEventObserver](./context.contexteventobserver.md)<!-- -->&gt; \| undefined


</td><td>

_(Optional)_ Current set of context observers


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;void&gt;


